<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{::link}, ~{::page}, ~{::script})"
      xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
<link rel="stylesheet" type="text/css" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_CSS}}"></link>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SCHEDULES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SCHEDULES}}"></span>
    </h2>
    <br />
    <form class="ui form" id="schedule-form" th:object="${schedule}" method="post">
      <input type="hidden" th:field="*{id}" />
      <input type="hidden" th:field="*{created}" />
      <input type="hidden" th:field="*{createdBy}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}, 
                                                                 field = 'name', 
                                                                 required = true, 
                                                                 maxlength = 50, 
                                                                 placeholder = '',
                                                                 columnsize = 'sixteen wide'
                                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}, 
	                                                                   field = 'compensationDays', 
	                                                                   required = true, 
	                                                                   option = '',
	                                                                   localized = false,
	                                                                   message = '',
	                                                                   columnsize = 'two wide',
	                                                                   function = ''
	                                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbuttons(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                      icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                      icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SCHEDULES},
                                                                      icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      icon2url = ''
                                                                      )" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
    <div th:if="${schedule.id > 0}">
      <div id="settings-list" th:fragment="settings-list">
        <h2 class="ui header">
          <i class="cogs" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
          <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SETTINGS}}"></span>
        </h2>
        <table th:if="${not #lists.isEmpty(settings)}" class="ui table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <thead>
            <tr>
              <th class="two wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDAY}}"></th>
              <th class="two wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_MONDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_TUESDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_WEDNESDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_THURSDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_FRIDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_SATURDAY}}"></th>
              <th class="one wide center aligned" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY_SUNDAY}}"></th>
              <th class="four wide"></th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="setting : ${settings}">
              <td class="center aligned" th:text="${#dates.format(setting.startingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></td>
              <td class="center aligned" th:text="${#dates.format(setting.endingDay.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></td>
              <td class="center aligned" th:text="${setting.monday}"></td>
              <td class="center aligned" th:text="${setting.tuesday}"></td>
              <td class="center aligned" th:text="${setting.wednesday}"></td>
              <td class="center aligned" th:text="${setting.thursday}"></td>
              <td class="center aligned" th:text="${setting.friday}"></td>
              <td class="center aligned" th:text="${setting.saturday}"></td>
              <td class="center aligned" th:text="${setting.sunday}"></td>
              <td class="center aligned"><i class="bordered write icon" th:onclick="'editSetting(' + ${setting.id} + ');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i> <i class="bordered remove icon" th:onclick="'deleteSetting(' + ${setting.id} + ');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i></td>
            </tr>
          </tbody>
        </table>
      </div>
      <br />
      <div class="ui grid">
        <div class="right floated right aligned column">
          <a id="addTransition" class="ui labeled icon button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:onclick="'addSetting(' + ${schedule.id} + ');' ">
            <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
            <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW}}"></span>
          </a>
        </div>
      </div>
    </div>
    <div th:replace="common/fragments/modal :: modal(large,'')"></div>
    <div th:replace="common/fragments/modal-confirmation :: modal-confirmation"></div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_CALENDAR_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_JQUERY_ADDRESS_JS}}"></script>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_SCHEDULES_JS}}"></script>
</body>
</html>
